Subject: (ngtrans) RE:

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Fri, 15 Sep 2000 01:16:21 +1100

Francis,

Thanks for the reply, please see my comments below. 

 In your previous mail you wrote:

   I have a couple of questions on draft-tsirtsis-v4-over-mipv6-00.txt, 
   How does an IPv6 MN inform its HA that it should intercept
   any IPv4 packets coming to its IPv4 "home" subnet ?
   
=> it doesn't need to do this and there is no IPv4 home subnet.
The IPv4 traffic goes to the Tunnel End Point and is encapsulated &
(directly) routed to the Mobile Node. The IPv6 mobility layer
knows *nothing* about IPv4 and the IPv4 layer knows *nothing* about
mobility, the only interaction between them is the TEP should be
a correspondent and routing from the TEP to the MN should be optimized.

   I understand you are not using MIPv4 of course, so I guess
   something needs to be done to trigger the HA to send proxy
   ARP so it can receive packets destined to that (IPv6 MN's)
   IPv4 address and map them to the MN's IPv6 home address. 
   
=> nothing is needed. TEP and HA functions can be done by one or
two boxes (same box is more complex and a bit more efficient).
I think you don't understand how the TEP gets IPv4 traffic:
it is the router for the IPv4 prefix. The HA is different, it is
a router attached to the link where is the prefix, if there is another
router on the link then the traffic can come through it (here again
you can make this impossible and get a small avantage with more
operational complexity).

Ok, let me explain properly what I meant. My question
is: If an IPv6 MN is in a foreign domain. can it request
an IPv4 address from it's home domain ? ie. Home AIIH ?
If the answer is yes, then how do IPv4 packets addressed to
that IPv4 address get routed to the IPv6 MN's subnet in the 
foreign domain ?
So I'm talking about incoming packets. Have I missed something ?

---

From: Francis Dupont <[email-masked]>
Date: Thu, 14 Sep 2000 16:54:16 +0200

=> it can do what it wants. I think there are three policies:
 - local (ie. foreign domain). Simple but perhaps too simple.
 - home (ie. home domain/AIIH). Not hard, this can be a good
   or a bad choice...
 - close to the peer. Harder but the best if there is only one peer.
   (of course the knowledge of what/where the peer is is needed).

=> they are routed according to IPv4 routing to the TEP, then
they are IPv6 routed to the MN through the HA (if not optimized) or
directly with a source-route (if optimized, I don't see a good
reason to be and stay not optimized). If the TEP and the HA
are colocated then you have twice the code on the box but the
IPv6 routing is garanteed to be optimized (in fact as good as it can be).

   So I'm talking about incoming packets.

=> for outcoming packets no IPv6 routing optimization is possible
(it is already optimal :-).

   Have I missed something ?

=> no but there are other points:
 - route optimization is not good because it is faster, this gives
   a greater MTU too.
 - you can play with IPv4 routing too (the position of the TEP is important)
 - there are possible gains on the security side, MN-HA critical
   communications are already secure, MN-TEP can/could/should be secure too.
   This has a cost in the setup phase (again colocation is more complex
   but has a clear benefit).

Regards

[email-masked]

PS: the key is independence. You can put things (HA, TEP, AIIH server, ...)
where you'd like and you can optimize some particular cases as you'd like.
I believe we need concrete examples of deployments (ie. first operational
experience) in order to go further (ie. play and win with the different
service locations). George? your turn!